Edit Tax Details
curl --request PUT \
--url https://api.spotflow.co/api/v1/tax-configurations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taxName": "Updated Service Charge Name",
"rate": 50,
"capAmount": 2000
}
'import requests
url = "https://api.spotflow.co/api/v1/tax-configurations/{id}"
payload = {
"taxName": "Updated Service Charge Name",
"rate": 50,
"capAmount": 2000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({taxName: 'Updated Service Charge Name', rate: 50, capAmount: 2000})
};
fetch('https://api.spotflow.co/api/v1/tax-configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 12,
"taxName": "VAT",
"taxType": "percentage",
"rate": 7.5,
"currency": "NGN",
"capAmount": 2000,
"thresholdAmount": 0,
"regionId": 1,
"regionName": "Nigeria",
"merchantName": "DEE LLC",
"status": "active",
"template": false,
"templateId": 1
}Tax Configuration
Edit Tax Details
Updates the display name, amount, or maximum cap limit for an existing tax rule.
PUT
/
tax-configurations
/
{id}
Edit Tax Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique ID of the specific tax rule you want to update.
Example:
12
Body
application/json
Response
200 - application/json
Tax details updated successfully.
Example:
12
Example:
"VAT"
Available options:
flat, percentage Example:
"percentage"
Example:
7.5
Example:
"NGN"
Example:
2000
Example:
0
Example:
1
Example:
"Nigeria"
Example:
"DEE LLC"
Available options:
active, inactive Example:
"active"
Example:
false
Example:
1
⌘I

